com.jgoodies.common.display

## Interface Displayable

-     public interface Displayable

  Describes objects with a default String presentation. Useful for implementing reusable object presentations in Formats, ListCellRenderers, TableCellRenderers, etc. If the object shall have a special default presentation in lists or tables, they may additionally implement `ListDisplayable` and/or `TableDisplayable`.

  Used by the reusable JGoodies list and table cell renderers: `JGDisplayableListCellRenderer` and `JGDisplayableTableCellRenderer`.

  Since:
    1.7
  Author:
    Karsten Lentzsch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayString()` Returns this object's default String presentation for views such as read-only text fields, list, tables, tree nodes, etc.

- - ### Method Detail

    - #### getDisplayString

          String getDisplayString()

      Returns this object's default String presentation for views such as read-only text fields, list, tables, tree nodes, etc.
      Returns:
        this object's standard representation

Copyright © 2009-2013 JGoodies Software GmbH. All Rights Reserved.